boost_variant.hpp File Reference
Support for Serializing Various Types » Miscellaneous Types Support

Support for boost::variant. More...

`#include "cereal/cereal.hpp"`
`#include <boost/variant/variant_fwd.hpp>`
`#include <boost/variant/static_visitor.hpp>`

Go to the source code of this file.

## Classes

struct | cereal::boost_variant_detail::variant_save_visitor< Archive >
struct | cereal::boost_variant_detail::LoadAndConstructLoadWrapper< Archive, T >
struct | cereal::boost_variant_detail::load_variant_wrapper< T >
struct | cereal::boost_variant_detail::load_variant_wrapper< boost::detail::variant::void_ >
| Avoid serializing variant void_ type. More...
struct | cereal::boost_variant_detail::load_variant_wrapper< T >

## Macros

#define | CEREAL_CONSTEXPR_LAMBDA constexpr

## Functions

template<class Archive , typename ... VariantTypes>
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, boost::variant< VariantTypes... > const &variant)
| Saving for boost::variant.
template<class Archive , typename ... VariantTypes>
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, boost::variant< VariantTypes... > &variant)
| Loading for boost::variant.

## Detailed Description

Support for boost::variant.